centos7でlibzipを0.11以降にアップデートしたい

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 2
  • VIEW 6,792

riho-beginner

score 11

お世話になります。

前提・実現したいこと

◆サーバー環境
centos7 / php7

◆やりたいこと
cakephp3でPHPExcelを利用したい
→PHPのzipをインストールしたい
→libzipを0.11以降にアップデートしたい

◆状況
cakephpで開発しているwebアプリケーションでPHPExcelを利用したところ"Class 'ZipArchive' not found"のエラーが発生した為、
①yum install zlib-devel
②pecl install zip
とすると以下のエラー
・・・
checking for pkg-config... /usr/bin/pkg-config
checking for libzip... not found
configure: error: Please reinstall the libzip distribution
ERROR: `/var/tmp/zip/configure --with-php-config=/usr/bin/php-config' failed そこでlibzipをインストールして、

③yum install libzip

④yum install libzip-devel

再度pecl install zipを実施したところ、現状下記のエラーとなっており、何となくlibzipを0.11以降のバージョンにアップデートせよと受け取れるのですが、linuxの基礎知識から欠けている為rpm?yum?でどのようにアップデートすれば良いのかがわからず、ご教示頂けませんでしょうか。 宜しくお願い致します。

発生している問題・エラーメッセージ

checking for pkg-config... /usr/bin/pkg-config
checking for libzip... configure: error: system libzip must be upgraded to version >= 0.11
ERROR: `/var/tmp/zip/configure --with-php-config=/usr/bin/php-config' failed
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

+1

CentOS 7にPHP 7.0をRemiリポジトリ経由で入れたのであれば、Zip拡張はphp-pecl-zipという名前でリポジトリに用意してありますので、yum --enablerepo=remi,remi-php70 install php-pecl-zipのようにしてインストールできます。

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/07/25 14:42

    ありがとうございます!
    お教え頂いた通りのコマンドでyumでインストールでき、apacheの再起動でちゃんと反映されて最終目的であったPHPExcelも無事使えました。大変助かりました。ありがとうございました。

    p.s.
    環境の違いなのか、オプションの"--enable-repo"ではエラーとなり"--enablerepo"としたところ上手くいきました事、併せてご報告しておきます。

    キャンセル

  • 2017/07/25 14:44 編集

    すみません、「--enable-repo」は書き間違いですので、修正しておきました。

    キャンセル

  • 2017/07/25 15:38

    了解です。ご修正頂きありがとうございました。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.21%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる